<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Вам улыбнулась удача!';
include_once '../sys/inc/thead.php';
title();
err();
aut();

/*
$admin_settings=mysql_fetch_array(mysql_query("SELECT * FROM `admin_settings`"));
if ($admin_settings["udacha"]==0){
echo "<div class='err'>Извините, но данная страничка не доступна, так как доступ на неё закрыт Администратором...</div>";
include_once '../sys/inc/tfoot.php';
exit;
}
*/

if(!isset($user)){echo "<div class='err'>Извините, но данная страничка доступна только для зарегистрированных пользователей данного сайта...</div>";include_once '../sys/inc/tfoot.php';exit;}

$money=mysql_result(mysql_query("SELECT COUNT(*) FROM `udacha_yes` WHERE `user`='$user[id]'"),0);

if($money==0){echo "<div class='err'>Извините, но удача обошла Вас стороной...</div>";include_once '../sys/inc/tfoot.php';exit;}

$for_udacha=rand(1,15);//Рандомный шанс

if($for_udacha==7){echo "<div class='err'>Извините, но Вашу удачу уже поймал другой пользователь...</div>";include_once '../sys/inc/tfoot.php';exit;}

$kolvo=rand(1,10);

mysql_query("UPDATE `user` SET `balls`='".($user['balls']+$kolvo)."' WHERE `id`='$user[id]' LIMIT 1");
$u_raitings=mysql_fetch_array(mysql_query("SELECT * FROM `raitings` WHERE `id`='$user[id]'"));
if (isset($user) && $u_raitings['id']!=$user['id']){
mysql_query("INSERT INTO `raitings`(`id`) VALUES('".$user['id']."')");
};
mysql_query("UPDATE `raitings` SET `udacha` = '".($u_raitings['udacha']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
$u_raitings=mysql_fetch_array(mysql_query("SELECT * FROM `raitings` WHERE `id`='$user[id]'"));
if (isset($user) && $u_raitings['id']!=$user['id']){
mysql_query("INSERT INTO `raitings`(`id`) VALUES('".$user['id']."')");
};
mysql_query("UPDATE `raitings` SET `udacha_sum` = '".($u_raitings['udacha_sum']+$kolvo)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `udacha_yes` WHERE `user`='$user[id]'");

echo "<div class='msg'>";
echo "Вам улыбнулась удача, на Ваш баланс зачисленно $kolvo баллов";
echo "</div>";
include_once '../sys/inc/tfoot.php';
?>